CreateAlertSilenceRule
Create a silence rule to suppress alert notifications during a time window
POST
/api/v1/alerting/silence-rulesOperation ID
CreateAlertSilenceRuleSince
1.0.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
nameStringHuman-readable name for the silence rule
Example: Maintenance Window
descriptionStringDescription of why alerts are being silenced
Example: Suppress alerts during scheduled maintenance
startsAtStringStart time for the silence window
Example: 2026-01-15T08:00:00Z
endsAtStringEnd time for the silence window
Example: 2026-01-15T08:00:00Z
createdByStringUser creating this silence rule
Example: admin
Responses
200 OKChange History
View all change historyChange TimeChange SummaryAction
Change Time
AddedRequest body fields enabledView APIChange Time
AddedRequest body fields operator, reason, timezoneDeletedRequest body fields matcherKey, matcherType, matcherValue...AddedResponse fields currentHitCount, displayName, enabled...DeletedResponse fields matcherKey, matcherType, matcherValue...View API
